# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename data-uri-to-buffer

Name:               nodejs-data-uri-to-buffer
Version:            0.0.3
Release:            1%{?dist}
Summary:            Generate a Buffer instance from a Data URI string

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/data-uri-to-buffer
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif

%description
Generate a Buffer instance from a Data URI string

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/data-uri-to-buffer
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/data-uri-to-buffer

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/data-uri-to-buffer/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Initial packaging for Fedora.
